/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VIsSubdepartment;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VIsSubdepartmentRecord extends TableRecordImpl<VIsSubdepartmentRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_is_subdepartment.key_element</code>.
     */
    public void setKeyElement(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_is_subdepartment.key_element</code>.
     */
    public Integer getKeyElement() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.v_is_subdepartment.dn</code>.
     */
    public void setDn(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_is_subdepartment.dn</code>.
     */
    public String getDn() {
        return (String) get(1);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VIsSubdepartmentRecord
     */
    public VIsSubdepartmentRecord() {
        super(VIsSubdepartment.V_IS_SUBDEPARTMENT);
    }

    /**
     * Create a detached, initialised VIsSubdepartmentRecord
     */
    public VIsSubdepartmentRecord(Integer keyElement, String dn) {
        super(VIsSubdepartment.V_IS_SUBDEPARTMENT);

        setKeyElement(keyElement);
        setDn(dn);
        resetChangedOnNotNull();
    }
}
